Package com.sas.metadata.remote

# Interface ArchiveFile

All Superinterfaces:
  `CMetadata`, `ContentLocation`, `DeployedDataPackage`, `File`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`, `Text`

public interface ArchiveFile extends File
Represents an archive, such as a tar file or a zip file, which may contain entries. It is one of several metadata types used to describe the physical location of some form of content.

Attributes of ArchiveFile are:

Associations of ArchiveFile are:

- `ArchiveEntries`
- `AssociatedMiningResult`
- `OwningChannel`

## Usage

To create an instance of this ArchiveFile, use the `factory` create methods.
Example: create a ArchiveFile with name "ArchiveFile_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ArchiveFile myObject = (ArchiveFile) factory.createComplexMetadataObject(objectStore, "ArchiveFile_Object", MetadataObjects.ARCHIVEFILE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ARCHIVEENTRIES_NAME`
  Constant used for the name of the ArchiveEntries association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDMININGRESULT_NAME`
  Constant used for the name of the AssociatedMiningResult association.
  `static final String`
  `ASSOCIATION_OWNINGCHANNEL_NAME`
  Constant used for the name of the OwningChannel association.

  ### Fields inherited from interface com.sas.metadata.remote.ContentLocation

  `ASSOCIATION_ASSOCIATEDCONTENTTYPE_NAME, ASSOCIATION_FILEREFS_NAME, ASSOCIATION_REPORTS_NAME, ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME, ASSOCIATION_UNITOFTIMES_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage

  `ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.File

  `ASSOCIATION_ASSOCIATEDCUBE_NAME, ASSOCIATION_ASSOCIATEDEXTERNALTABLE_NAME, ASSOCIATION_ASSOCIATEDOLAPSCHEMA_NAME, ASSOCIATION_DIRECTORIES_NAME, ASSOCIATION_SCRIPTEDCONNECTIONS_NAME, ATTRIBUTE_FILEEXTENSION_NAME, ATTRIBUTE_FILENAME_NAME, ATTRIBUTE_ISARELATIVENAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Text

  `ASSOCIATION_ASSOCIATEDPROPERTY_NAME, ASSOCIATION_ASSOCIATEDQUERYCLAUSE_NAME, ASSOCIATION_ASSOCIATEDTRAINEDRESULT_NAME, ASSOCIATION_ASSOCIATEDTRANSFORMATION_NAME, ASSOCIATION_ASSOCIATEDTYPE_NAME, ASSOCIATION_TARGETS_NAME, ATTRIBUTE_TEXTROLE_NAME, ATTRIBUTE_TEXTTYPE_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getArchiveEntries()`
  Gets the Association list of `ArchiveEntries`
  `AssociationList`
  `getArchiveEntries(boolean fGoToServer)`
  Gets the Associationlist of `ArchiveEntries`
  `MiningResult`
  `getAssociatedMiningResult()`
  Gets the `MiningResult` for `AssociatedMiningResult`
  `AssociationList`
  `getAssociatedMiningResults()`
  Gets the Association list of `AssociatedMiningResults`
  `AssociationList`
  `getAssociatedMiningResults(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedMiningResults`
  `ITChannel`
  `getOwningChannel()`
  Gets the `ITChannel` for `OwningChannel`
  `AssociationList`
  `getOwningChannels()`
  Gets the Association list of `OwningChannels`
  `AssociationList`
  `getOwningChannels(boolean fGoToServer)`
  Gets the Associationlist of `OwningChannels`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setArchiveEntries(AssociationList list)`
  Sets the `ArchiveEntries` list to be `list`.
  `void`
  `setArchiveEntries(AssociationList inObjects, int state)`
  Sets the entire ArchiveEntries list to match the passed in AssociationList, sets the state of the ArchiveEntries
  `void`
  `setAssociatedMiningResult(MiningResult inObject)`
  Sets the `AssociatedMiningResults` list 0th element to be `inObject`.
  `void`
  `setAssociatedMiningResults(AssociationList list)`
  Sets the `AssociatedMiningResults` list to be `list`.
  `void`
  `setAssociatedMiningResults(AssociationList list, int state)`
  Sets the `AssociatedMiningResults` list to be `list`.
  `void`
  `setOwningChannel(ITChannel inObject)`
  Sets the `OwningChannels` list 0th element to be `inObject`.
  `void`
  `setOwningChannels(AssociationList list)`
  Sets the `OwningChannels` list to be `list`.
  `void`
  `setOwningChannels(AssociationList list, int state)`
  Sets the `OwningChannels` list to be `list`.

  ### Methods inherited from interface com.sas.metadata.remote.ContentLocation

  `getAssociatedContentType, getAssociatedContentTypes, getAssociatedContentTypes, getFileRefs, getFileRefs, getReports, getReports, getTSAssociatedNamespace, getTSAssociatedNamespaces, getTSAssociatedNamespaces, getUnitofTimes, getUnitofTimes, setAssociatedContentType, setAssociatedContentTypes, setAssociatedContentTypes, setFileRefs, setFileRefs, setReports, setReports, setTSAssociatedNamespace, setTSAssociatedNamespaces, setTSAssociatedNamespaces, setUnitofTimes, setUnitofTimes`

  ### Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage

  `getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

  ### Methods inherited from interface com.sas.metadata.remote.File

  `getAssociatedCube, getAssociatedCubes, getAssociatedCubes, getAssociatedExternalTable, getAssociatedExternalTables, getAssociatedExternalTables, getAssociatedOLAPSchema, getAssociatedOLAPSchemas, getAssociatedOLAPSchemas, getDirectories, getDirectories, getFileExtension, getFileExtensionMaxLength, getFileExtensionState, getFileName, getFileNameMaxLength, getFileNameState, getIsARelativeName, getIsARelativeNameState, getScriptedConnections, getScriptedConnections, setAssociatedCube, setAssociatedCubes, setAssociatedCubes, setAssociatedExternalTable, setAssociatedExternalTables, setAssociatedExternalTables, setAssociatedOLAPSchema, setAssociatedOLAPSchemas, setAssociatedOLAPSchemas, setDirectories, setDirectories, setFileExtension, setFileExtension, setFileExtensionState, setFileName, setFileName, setFileNameState, setIsARelativeName, setIsARelativeName, setIsARelativeName, setIsARelativeName, setIsARelativeNameState, setScriptedConnections, setScriptedConnections`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

  ### Methods inherited from interface com.sas.metadata.remote.Text

  `getAssociatedProperty, getAssociatedPropertys, getAssociatedPropertys, getAssociatedQueryClause, getAssociatedQueryClauses, getAssociatedQueryClauses, getAssociatedTrainedResult, getAssociatedTrainedResults, getAssociatedTrainedResults, getAssociatedTransformation, getAssociatedTransformations, getAssociatedTransformations, getAssociatedType, getAssociatedTypes, getAssociatedTypes, getTargets, getTargets, getTextRole, getTextRoleMaxLength, getTextRoleState, getTextType, getTextTypeMaxLength, getTextTypeState, setAssociatedProperty, setAssociatedPropertys, setAssociatedPropertys, setAssociatedQueryClause, setAssociatedQueryClauses, setAssociatedQueryClauses, setAssociatedTrainedResult, setAssociatedTrainedResults, setAssociatedTrainedResults, setAssociatedTransformation, setAssociatedTransformations, setAssociatedTransformations, setAssociatedType, setAssociatedTypes, setAssociatedTypes, setTargets, setTargets, setTextRole, setTextRole, setTextRoleState, setTextType, setTextType, setTextTypeState`

- ## Field Details

  - ### ASSOCIATION_ARCHIVEENTRIES_NAME

    static final String ASSOCIATION_ARCHIVEENTRIES_NAME
    Constant used for the name of the ArchiveEntries association.

    ArchiveEntries: The entries in this archive file.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDMININGRESULT_NAME

    static final String ASSOCIATION_ASSOCIATEDMININGRESULT_NAME
    Constant used for the name of the AssociatedMiningResult association.

    AssociatedMiningResult: The Mining Result associated with this report.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_OWNINGCHANNEL_NAME

    static final String ASSOCIATION_OWNINGCHANNEL_NAME
    Constant used for the name of the OwningChannel association.

    OwningChannel: The channel that published this archive.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `ContentLocation`
    Specified by:
      `initializeRequiredObjects` in interface `DeployedDataPackage`
    Specified by:
      `initializeRequiredObjects` in interface `File`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Specified by:
      `initializeRequiredObjects` in interface `Text`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    Specified by:
      `initializePredObjects` in interface `ContentLocation`
    Specified by:
      `initializePredObjects` in interface `DeployedDataPackage`
    Specified by:
      `initializePredObjects` in interface `File`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Specified by:
      `initializePredObjects` in interface `Text`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getArchiveEntries

    AssociationList getArchiveEntries() throws RemoteException, MdException
    Gets the Association list of `ArchiveEntries`
    Returns:
      The AssociationList of `ArchiveEntries` which can be of type:
      ArchiveEntry
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedMiningResults

    AssociationList getAssociatedMiningResults() throws RemoteException, MdException
    Gets the Association list of `AssociatedMiningResults`
    Returns:
      The AssociationList of `AssociatedMiningResults` which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedMiningResult

    MiningResult getAssociatedMiningResult() throws RemoteException, MdException
    Gets the `MiningResult` for `AssociatedMiningResult`
    Returns:
      The `MiningResult` ( `null` if not set ) of `AssociatedMiningResult` which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getOwningChannels

    AssociationList getOwningChannels() throws RemoteException, MdException
    Gets the Association list of `OwningChannels`
    Returns:
      The AssociationList of `OwningChannels` which can be of type:
      ITChannel
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getOwningChannel

    ITChannel getOwningChannel() throws RemoteException, MdException
    Gets the `ITChannel` for `OwningChannel`
    Returns:
      The `ITChannel` ( `null` if not set ) of `OwningChannel` which can be of type:
      ITChannel
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getArchiveEntries

    AssociationList getArchiveEntries(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ArchiveEntries`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `ArchiveEntries` which can be of type:
      ArchiveEntry
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedMiningResults

    AssociationList getAssociatedMiningResults(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedMiningResults`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedMiningResults` which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getOwningChannels

    AssociationList getOwningChannels(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `OwningChannels`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `OwningChannels` which can be of type:
      ITChannel
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setArchiveEntries

    void setArchiveEntries(AssociationList list) throws RemoteException
    Sets the `ArchiveEntries` list to be `list`. Objects of which can be of type:
    ArchiveEntry
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setArchiveEntries

    void setArchiveEntries(AssociationList inObjects, int state) throws RemoteException
    Sets the entire ArchiveEntries list to match the passed in AssociationList, sets the state of the ArchiveEntries
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedMiningResults

    void setAssociatedMiningResults(AssociationList list) throws RemoteException
    Sets the `AssociatedMiningResults` list to be `list`. Objects of which can be of type:
    MiningResult
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedMiningResults

    void setAssociatedMiningResults(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedMiningResults` list to be `list`. Objects of which can be of type:
    MiningResult
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedMiningResult

    void setAssociatedMiningResult(MiningResult inObject) throws RemoteException
    Sets the `AssociatedMiningResults` list 0th element to be `inObject`.
    Parameters:
      `inObject` - MiningResult
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningChannels

    void setOwningChannels(AssociationList list) throws RemoteException
    Sets the `OwningChannels` list to be `list`. Objects of which can be of type:
    ITChannel
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningChannels

    void setOwningChannels(AssociationList list, int state) throws RemoteException
    Sets the `OwningChannels` list to be `list`. Objects of which can be of type:
    ITChannel
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningChannel

    void setOwningChannel(ITChannel inObject) throws RemoteException
    Sets the `OwningChannels` list 0th element to be `inObject`.
    Parameters:
      `inObject` - ITChannel
    Throws:
      `RemoteException` - If error communicating with remote object.